---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: kustomize-prod
  namespace: argocd
spec:
  destination:
    namespace: kustomize-prod
    server: 'https://kubernetes.default.svc'
  source:
    path: # TODO quelle est le path vers l'overlays de prod ?
    repoURL: 'https://gitlab.com/gitops-heros/deploy-sith-from-gitlab.git'
    targetRevision: main
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
